### Method

# ECal ComponentDateTime set_tzid

since: 3.34

#### Declaration [src]

    void
    e_cal_component_datetime_set_tzid (
      ECalComponentDateTime* dt,
      const gchar* tzid
    )

#### Description [src]

Sets the `tzid` of the `dt`. Any previously set TZID is freed. An empty string or a `NULL` as `tzid` is treated as none TZID.

Available since: 3.34

#### Parameters

`tzid`

  Type: `const gchar*`

  The TZID to set, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.